#include<bits/stdc++.h>
using namespace std;
int main(){
	int x;
	int n;
	cin>>n>>x;
	int a[n];
	bool rastuci=true;
	cin>>a[0];
	int mini=a[0],maksi=a[0];
	for(int i=1;i<n;i++){
		cin>>a[i];
		if(a[i]<mini)mini=a[i];
		if(a[i]>maksi)maksi=a[i];
	}
	if(mini>=x)mini=x;
	if(maksi<=x)maksi=x;
	int s=2*min(maksi-x,x-mini)+max(maksi-x,x-mini);
	cout<<s;
}